Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas
Class ServerManager

    java.lang.Object
      org.wso2.wsas.ServerManager

    public final class ServerManager

extends java.lang.Object

This class is responsible for managing the WSO2 WSAS instance during startup.

Field Summary
`java.lang.String` | `adminResourceBase`
`java.lang.String` | `axis2RepoLocation`
`org.apache.axis2.context.ConfigurationContext` | `configContext`
`Monitor` | `monitor`
`java.lang.String` | `serverWorkDir`

Method Summary
`int` | `getHttpPort()`
`int` | `getHttpsPort()`
`static ServerManager` | `getInstance()`
`void` | `setHttpPort(int httpPort)`
`void` | `setHttpsPort(int httpsPort)`
`void` | `start()`
`void` | `startListenerManager()`
`void` | `status()`
`void` | `stop()`
`void` | `stopListenerManager()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### axis2RepoLocation

    public java.lang.String axis2RepoLocation

### monitor

    public Monitor monitor

### configContext

    public org.apache.axis2.context.ConfigurationContext configContext

### serverWorkDir

    public java.lang.String serverWorkDir

### adminResourceBase

    public java.lang.String adminResourceBase

Method Detail

### getInstance

    public static ServerManager getInstance()

### setHttpPort

    public void setHttpPort(int httpPort)

### setHttpsPort

    public void setHttpsPort(int httpsPort)

### getHttpPort

    public int getHttpPort()

### getHttpsPort

    public int getHttpsPort()

### start

    public void start()
               throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

### status

    public void status()

### stop

    public void stop()

### startListenerManager

    public void startListenerManager()

### stopListenerManager

    public void stopListenerManager()
                             throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD